
$n = 10;
$r = 0.7;
$h = 0.8;

$theta = 2*3.141516/$n;
$theta2 = $theta/2;

$x[1] = $r;
$y[1] = 0;

for( $i=2; $i<=$n; $i++ ){
	$ang = ($i - 1)*$theta;
	$x[$i] = $r*cos($ang);
	$y[$i] = $r*sin($ang);

	$ang -= $theta2;
	$etax[$i-1] = cos($ang);
	$etay[$i-1] = sin($ang);
}
$ang = 2*3.141516 - $theta2;
$etax[$n] = cos($ang);
$etay[$n] = sin($ang);

# El valor en z de la normal
$etaz = $h/( sqrt($h*$h + $r*$r));

# Normalizamos las normales
$norma = sqrt( 1 + $etaz * $etaz );
for( $i=1; $i<=$n; $i++ ){
	$etax[$i] /= $norma;
	$etay[$i] /= $norma;
	$etaz /= $norma;
}

# Imprimos en formato para Space3D
print "FACES $n\n";

for( $i=1; $i<=$n; $i++ ){
	$j = $i+1;
	if ( $j == $n + 1 ) { $j = 1;}

	print "# Cara $i\n";
printf ( "NORMAL %2.6f %2.6f %2.6f\n", $etax[$i], $etay[$i], $etaz );
print "GREYTONE  200\n";
print "POLYGON 3\n";
printf( "%2.6f %2.6f 0.0\n", $x[$i], $y[$i] );
printf( "%2.6f %2.6f 0.0\n", $x[$j], $y[$j] );
print "0.0 0.0 $h\n"; 
}
